Chill\MainBundle\Entity\PermissionsGroup:
    properties:
        name:
            - NotBlank: ~
            - Length:
                max: 50
        roleScopes:
            - Valid: ~
    constraints:
        - Callback:
              callback: isRoleScopePresentOnce

Chill\MainBundle\Entity\User:
    properties:
        username:
            - Length:
                max: 70
                min: 3
        email:
            - Email: ~
        label:
            - NotBlank: ~
    constraints:
        - Callback:
              callback: isGroupCenterPresentOnce
        - \Chill\MainBundle\Validation\Constraint\UserUniqueEmailAndUsernameConstraint: ~

Chill\MainBundle\Entity\RoleScope:
    constraints:
        - \Chill\MainBundle\Validation\Constraint\RoleScopeScopePresenceConstraint: ~

Chill\MainBundle\Entity\Center:
    properties:
        name:
            - NotBlank: ~
            - Length:
                max: 50
                min: 2

Chill\MainBundle\Entity\Address:
    constraints:
        - Callback: validate

Chill\MainBundle\Entity\PostalCode:
    properties:
        name:
            - Length:
                max: 250
                min: 2
        code:
            - Length:
                min: 2
                max: 100
        country:
            - NotNull: ~
